package date;

// Import required java libraries
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.annotation.WebServlet;

@WebServlet(name="Date", urlPatterns={"/Date"})
// Extend HttpServlet class
public class Date extends HttpServlet {

   private java.util.Date d;
   private Integer count;

   public void init() throws ServletException {
      // Do required initialization
      d = new java.util.Date(); // Date at init time, do not change
      count = 0;
   }

   public void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

      // Set response content type
      response.setContentType("text/html");

      // Actual logic goes here.
      count++;
      PrintWriter out = response.getWriter();
      out.println("<html>");
      out.println("<body>");
      out.println("Date " + d.toString());
      out.println("<br>");
      out.println("GET call number " + count);
      out.println("</body>");
      out.println("</html>");
   }

   public void destroy() {
      count = 0;
   }
}
